osg::TestResult Class Reference

`#include <OcclusionQueryNode>`

Inheritance diagram for osg::TestResult:

## Public Member Functions

| TestResult ()
| ~TestResult ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

bool | _init
GLuint | _id
unsigned int | _contextID
bool | _active
GLint | _numPixels

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## TestResult()

osg::TestResult::TestResult | ( |  | ) |

inline

References _active, _contextID, _id, _init, _numPixels, and osg::Referenced::setThreadSafeRefUnref().

## ~TestResult()

osg::TestResult::~TestResult | ( |  | ) |

inline

## Member Data Documentation

## _active

bool osg::TestResult::_active

mutable

Referenced by TestResult().

## _contextID

unsigned int osg::TestResult::_contextID

Referenced by TestResult().

## _id

GLuint osg::TestResult::_id

Referenced by TestResult().

## _init

bool osg::TestResult::_init

Referenced by TestResult().

## _numPixels

GLint osg::TestResult::_numPixels

Referenced by TestResult().

The documentation for this class was generated from the following file:

- OcclusionQueryNode